import acquire


class LcBeamPWeightedRelConfOptimCore(acquire.LcBeamPWeightedRelConfCoreset):

    NAME = "lc-beam-pweighted-relconf-optimcore"

    def select_candidate_scores(self, max_min_deltas, score_unlabelled, select):
        return max_min_deltas.view(-1)